import React, { FC } from 'react';
import { makeStyles } from '@material-ui/core/styles';
import { CssBaseline, Tabs, Tab, Paper } from '@material-ui/core';

const useStyles = makeStyles((theme) => ({
  root: {
    minHeight: '100vh',
    backgroundImage: `url(${'/assets/bg2.png'})`,
    backgroundRepeat: 'no-repeat',
    backgroundSize: 'cover',
  },
  tabs: {
    color: 'white',
    paddingLeft: '25px',
    paddingTop: '8px',
  },
  tabPan: {
    paddingLeft: '56px',
    paddingRight: '56px',
  },
  leftAlign: {
    marginRight: 'auto',
  },
}));

export const HomePage2: FC = () => {
  const classes = useStyles();

  const [selectedTab, setSelectedTab] = React.useState(0);

  return (
    <div className={classes.root}>
      <CssBaseline />
      <Tabs value={selectedTab} className={classes.tabs}>
        <Tab label="HomePage" className={classes.tabPan} />
        <Tab label="Reservation" className={classes.tabPan} />
        <Tab
          label="Profile"
          className={`${classes.tabPan} ${classes.leftAlign}`}
        />
      </Tabs>
    </div>
  );
};
